#*****************************************************************************
#  This sample is supplied as is with no implied warranty.  
#  It is designed to assist you in using the Cisco AnyConnect VPN API. 
#  It is assumed that you will build a production application and 
#  refer to this sample as a reference only.
#*****************************************************************************
CXX = g++
CXXFLAGS = -DHAVE_CONFIG_H -D_NOEXPORTDLL -g -O0 -Wall ${INCLUDES}
INCLUDES = -I. -I../../include -I/usr/include/libxml2
VPNLIB_DIR = ../../lib/Linux/Intel_64
LIBS = -lvpnapi -lxml2 -lrt -lz -lvpncommoncrypt -lvpncommon -lpthread ${VPNLIB_DIR}/libaccurl.a -lacciscocrypto -lacciscossl
LIBDIRS = -L${VPNLIB_DIR}
LDFLAGS=-g

all: client

client: CLIClientMain.o CLIClientImpl.o
	@echo "compiling client"
	${CXX} ${CXXFLAGS} ${LDFLAGS} ${INCLUDES} ${LIBDIRS} -o client CLIClientMain.o CLIClientImpl.o ${LIBS} -Wl,-rpath=$(CURDIR)/${VPNLIBDIR}

clean:
	rm -f *.o client
